SOGo | BTS

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004400SOGoActiveSyncpublic2018-02-12 04:312018-03-22 16:14
Reporterszidelek 
Assigned Toludovic 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionsuspended 
PlatformGmail exchange syncOSAndroidOS Versionany
Product Version3.2.10 
Target VersionFixed in Version4.0.1 
Summary0004400: SOGo web breaks on emoji in calendar event
DescriptionSOGo web breaks on calendar event which contains an emoji in description.
The event is created via activesync client. It cannot be accepted in mail view, neither can view or delete in calendar view.
Steps To ReproduceCreate an event via activesync client (ex. GMail applicaion on Android phone), and write an emoji into the description text.
Log in into the Web interface, and check in the calendar view, "Request Failed" message appears only.
Additional InformationIn the database the c_context field is truncated before the emoji.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
User avatar (0012696)
ludovic (administrator)
2018-03-14 11:52

Wrong ticket.
User avatar (0012716)
Christian Mack (developer)
2018-03-16 04:59

Do you use MySQL or Postgresql?
(0012717)
szidelek (reporter)
2018-03-16 05:02

We use mysql (mariadb).
User avatar (0012718)
Christian Mack (developer)
2018-03-16 05:13

Do you use utf8mb4 as character set in mariadb?
Emoji will only work with utf8mb4.

Read chapter "5.9.1. MySQL complete Unicode compliance" in https://sogo.nu/files/docs/v3/SOGoInstallationGuide.html [^]
User avatar (0012797)
ludovic (administrator)
2018-03-22 16:14

Likely a configuration issue, reopen if necessary.

- Issue History
Date Modified Username Field Change
2018-02-12 04:31 szidelek New Issue
2018-03-14 11:49 ludovic Note Added: 0012695
2018-03-14 11:49 ludovic Status new => resolved
2018-03-14 11:49 ludovic Fixed in Version => 4.0.1
2018-03-14 11:49 ludovic Resolution open => fixed
2018-03-14 11:49 ludovic Assigned To => ludovic
2018-03-14 11:52 ludovic Note Deleted: 0012695
2018-03-14 11:52 ludovic Note Added: 0012696
2018-03-14 11:52 ludovic Status resolved => feedback
2018-03-14 11:52 ludovic Resolution fixed => reopened
2018-03-16 04:59 Christian Mack Note Added: 0012716
2018-03-16 05:02 szidelek Note Added: 0012717
2018-03-16 05:02 szidelek Status feedback => assigned
2018-03-16 05:13 Christian Mack Note Added: 0012718
2018-03-22 16:14 ludovic Note Added: 0012797
2018-03-22 16:14 ludovic Status assigned => closed
2018-03-22 16:14 ludovic Resolution reopened => suspended


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker